Bug 134772 - autofs maintains deleted filehandles in /var/spool/up2date
autofs maintains deleted filehandles in /var/spool/up2date
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-10-06 03:54 EDT by Trond H. Amundsen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-04 07:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of 'lsof /var' (75.50 KB, text/plain)
2004-10-06 03:56 EDT, Trond H. Amundsen
no flags Details

  None (edit)
Description Trond H. Amundsen 2004-10-06 03:54:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914

Description of problem:
/var was full on some boxes, causing up2date to fail, complaining
about insufficient space on /var/spool/up2date. Further investigation
showed that 'df /var' and 'du -skx /var' gave very different output.
'lsof /var' showed that automount for some reason had lots of open
filehandles on deleted files in /var/spool/up2date. Se the attachment
for the actual output. A restart of autofs solved the problem. The
problem was seen on boxes with different kernels.

This is a weird one.. why would automount keep open filehandles on rpm
files and header files in /var/spool/up2date in the first place, and
even when those files are deleted?

I'm not sure how to attack this. Please let me know if you need more

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce

Additional info:
Comment 1 Trond H. Amundsen 2004-10-06 03:56:33 EDT
Created attachment 104829 [details]
Output of 'lsof /var'
Comment 2 Jeffrey Moyer 2005-02-11 13:40:02 EST
This is very odd, indeed.  Could you post your auto.master and related maps?
Comment 3 Trond H. Amundsen 2005-04-04 07:43:15 EDT
I'm sorry, but I can't remember which boxes had this problem, and I haven't seen
this problem since I reported it, so I can't follow up this one. I'll close the
bug and reopen it if I ever find out more.

Note You need to log in before you can comment on or make changes to this bug.